<?php if(!defined('FastCore')){exit('Opss!');}
# Заголовок
$opt['title'] = 'Bonuses';

# Бонус выдача за депозит
$dep = round($user['sum_in']);
if ($dep > 9.99) {
	$sumDep = round($dep/50,2);
} else {
	$sumDep = '0.1';
}

# Бонус выдача за доход рефералов
$refin = round($user['income']);
if ($refin > 9.99) {
	$sumRef = round($refin/10,2);
} else {
	$sumRef = '0';
}

$ddel = time() + 60*60*24;
$dadd = time();
?>
<div class="row row-cols-1">

<center>	<div class="col col-lg-12 col-xl-6 p-2">
<div class="card h-100 shadow-sm mb-2" style="overflow: hidden;">
<div class="text-center pt-2"><img src="/img/b1.png" style="max-width: 128px;"></div>
<h4 class="p-2 text-center">DAILY BONUS</h4>
<div class="p-1 text-center h-100"><small>Get a bonus of <span style="color: #f24;"><b>2%</b></span> of your account deposits every 24 hours. <br>
The more funds you have deposited or promoted, the higher the daily bonus. 
</small></div>


<?PHP

$hide = false;
$true = $db->query("SELECT * FROM `db_bonus` WHERE `uid` = '$uid' AND `del` > '$dadd'")->numRows();
if($true == 0){

# Выдача бонуса
if(isset($_POST["bonus"])){

	# Зачилсяем бонус
	$db->query("UPDATE db_users SET `money_p` = `money_p` + '$sumDep', `earn_bonus` = `earn_bonus` + '$sumDep' WHERE `id` = '$uid'");
	# Вносим запись в список бонусов
	$db->query('INSERT INTO db_bonus (`login`, `uid`, `sum`, `add`, `del`) VALUES (?,?,?,?,?)', array($login, $uid, $sumDep, $dadd, $ddel));
	# Случайная очистка устаревших записей
	$db->query("DELETE FROM db_bonus WHERE `del` < '$dadd'");
	echo '<div class="alert alert-success">You have received a bonus balance: <b>'.$sumDep.' {!VAL!}</b>.</div>';
	$hide = true;
}

# Скрыть кнопку
if(!$hide){
?>

<div class="text-center p-2">
<form action="" method="post">
<input type="submit" name="bonus" value="CLAIM BONUS" class="btn btn-danger w-75 mb-2">
</form>
</div>
		
<?PHP 
	}
}
else {
	$udata = $db->query("SELECT * FROM db_bonus WHERE uid = '$uid'")->fetchArray();

	# Таймер
	$dt=$udata['del']-time();
	$dd=(int)($dt/86400);
	$hh=(int)(($dt-$dd*86400)/3600);
	$mm=(int)(($dt-$dd*86400-$hh*3600)/60);
	$ss=(int)($dt-$dd*86400-$hh*3600-$mm*60);
?>
<div class="text-uppercase bg-light p-3 text-center">Until the next bonus is left: <br/>
<h4 class="text-success"><i class="far fa-clock"></i> <b><?=sprintf("%02d <small>hour</small> %02d <small>min</small> %02d <small>sec</small>", $hh, $mm, $ss);?></b></h4>
</div>
<?php
	}
?>

</div>
</div>



<?PHP

$hide2 = false;
$true2 = $db->query("SELECT * FROM `db_bonus2` WHERE `uid` = '$uid' AND `del` > '$dadd'")->numRows();
if($true2 == 0){
# Выдача бонуса
if(isset($_POST["bonus2"])){

if($refin > 9.99) {
	# Зачилсяем бонус
	$db->query("UPDATE db_users SET `money_p` = `money_p` + '$sumRef', `earn_bonus` = `earn_bonus` + '$sumRef' WHERE `id` = '$uid'");
	# Вносим запись в список бонусов
	$db->query('INSERT INTO db_bonus2 (`login`, `uid`, `sum`, `add`, `del`) VALUES (?,?,?,?,?)', array($login, $uid, $sumRef, $dadd, $ddel));
	# Случайная очистка устаревших записей
	$db->query("DELETE FROM db_bonus2 WHERE `del` < '$dadd'");
	echo '<div class="alert alert-success">You have received a bonus balance: <b>'.$sumRef.' {!VAL!}</b>.</div>';
	$hide2 = true;
} else {
	echo '<div class="alert alert-danger">No income from referrals</div>';
}
}
# Скрыть кнопку
if(!$hide2){
?>


		
<?PHP 
	}
}
else {
	$udata2 = $db->query("SELECT * FROM db_bonus2 WHERE uid = '$uid'")->fetchArray();

	# Таймер
	$dt=$udata2['del']-time();
	$dd=(int)($dt/86400);
	$hh=(int)(($dt-$dd*86400)/3600);
	$mm=(int)(($dt-$dd*86400-$hh*3600)/60);
	$ss=(int)($dt-$dd*86400-$hh*3600-$mm*60);
?>

<?php
	}
?>

</div>
</div>



</div>

<br><br><br><br>